Skip to main content
GET
/
sequence
/
v1
/
series
/
{id}
cURL
curl --request GET \
  --url https://api.invopop.com/sequence/v1/series/{id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.invopop.com/sequence/v1/series/{id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.invopop.com/sequence/v1/series/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "created_at": "2023-01-25T08:04:14.245Z",
  "updated_at": "2023-01-25T08:04:14.245Z",
  "name": "string",
  "description": "string",
  "code": "string",
  "prefix": "string",
  "padding": 0,
  "suffix": "string",
  "last_index": 0,
  "last_entry_id": "string",
  "sigs": ["string"]
}
{
  "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "created_at": "2023-01-25T08:04:14.245Z",
  "updated_at": "2023-01-25T08:04:14.245Z",
  "name": "string",
  "description": "string",
  "code": "string",
  "prefix": "string",
  "padding": 0,
  "suffix": "string",
  "last_index": 0,
  "last_entry_id": "string",
  "sigs": ["string"]
}

Authorizations

Authorization
string
header
required

Use the Bearer scheme with a valid JWT token to authenticate requests. Example: Authorization: Bearer <token>

Path Parameters

id
string
required

UUID of the series to fetch

Response

200 - application/json

OK

code
string

A code that can be used to identify the series.

Example:

"SALES-2020"

created_at
string

The date and time the series was created.

Example:

"2020-10-01T00:00:00Z"

description
string

A description of the series.

Example:

"This series is used for sales."

id
string

The UUID (any version) of the series.

Example:

"a8904315-3d16-4a95-91c1-30d6cdde553e"

last_entry_id
string

The ID of the last entry in the series.

Example:

"a8904315-3d16-4a95-91c1-30d6cdde553e"

last_index
integer

The last index used in the series.

Example:

100

name
string

The name of the series.

Example:

"My Series"

padding
integer

The number of 0s to pad the generated codes with.

Example:

5

prefix
string

A prefix that will be prepended to all entries.

Example:

"INV-"

suffix
string

A suffix that will be appended to all entries.

Example:

"-F1"

updated_at
string

The date and time the series was last updated.

Example:

"2020-10-01T00:00:00Z"